<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>在线商城后台管理</title>
<link rel="stylesheet" type="text/css" href="view/admin/style/basic.css" />
<link rel="stylesheet" type="text/css" href="view/admin/style/nav.css" />
<link rel="stylesheet" type="text/css" href="view/admin/js/css/jquery-ui.css" />
<script type="text/javascript" src="view/admin/js/jquery.js"></script>
<script type="text/javascript" src="view/admin/js/jquery-ui.js"></script>
<script type="text/javascript" src="view/admin/js/basic.js"></script>
{literal}
<script type="text/javascript">
<!--
function addcate(url){
	
	$.get(url,{},
	function(data){
		$('#dialog').html(data);
	});
	$('#blurdiv').show();
	$('#blurdiv').height($(document).height());
	$('#dialog').dialog('open');
	$('#dialog').dialog({
		title:'添加关键字',
		width:960,
		height:380,
		buttons: {},
		close:function(){$('#blurdiv').hide();$('#dialog').html('');}
	});
}
function modifycate(url){
	
		$.get(url,{},
		function(data){
			$('#dialog').html(data);
		});
		$('#blurdiv').show();
		$('#blurdiv').height($(document).height());
		$('#dialog').dialog('open');
		$('#dialog').dialog({
			title:'修改关键字',
			width: 960,
			height:380,
			buttons: {},
			close:function(){$('#blurdiv').hide();$('#dialog').html('');}
		});
}
</script>
{/literal}
</head>
<body>

<h2><a href="javascript:addcate('?a=keywords&m=add');">添加关键字</a>界面管理 -- 关键字列表</h2>
<div style="padding:10px; overflow:hidden;">
	<div class="main_top" style="clear:both;">
		<h4>温馨提示:</h4>
		<p class="green">提示：用于搜索下面的热门搜索</p>			
	</div>
</div>
<div id="list">
	<form method="post" action="?a=keywords&m=sort">
	<table>
		<tr><th>显示名称</th><th>关键字名称</th><th>数据分类ID</th><th>排序</th><th>操作</th></tr>
		{foreach from=$AllKeywords key=key item=value}
		<tr>
			<td><span style="color:{$value->color}">{$value->name}</span></td>
			<td>{$value->keywords}</td>
			<td><strong>(分类ID：{$value->category})</strong></td>
			<td><input type="text" name="sort[{$value->id}]" class="sort" value="{$value->sort}" /></td>	
			<td><a href="javascript:modifycate('?a=keywords&m=update&id={$value->id}')"><img src="view/admin/images/edit.gif" alt="编辑" title="编辑" /></a>
		 <a href="?a=keywords&m=delete&id={$value->id}" onclick="return confirm('你真的要删除这个关键字吗？') ? true : false"><img src="view/admin/images/drop.gif" alt="删除" title="删除" /></a></td></tr>
		{foreachelse}
		<tr><td colspan="5">没有任何关键字</td></tr>
		{/foreach}
		{if $AllKeywords}<tr><td></td><td></td><td></td><td><input type="submit" name="send" value="排序" /></td><td></td></tr>{/if}
	</table>
	</form>
</div>
<div id="page">{$page}</div>
<div id="dialog" style="display:none;"><img src="view/admin/images/loading.gif" style="display:block;border:none;margin:0px auto; margin-top:80px;" /></div>
<div style="z-index: 1000; background-color: rgb(0, 0, 0); visibility: visible; display: none; position: absolute; top: 0px; left: 0px; right: 0px; bottom: 0px; width:100%;filter:alpha(opacity=50); opacity: 0.5; -moz-opacity:0.5;" id="blurdiv"></div>
</body>
</html>